import request from '@/utils/request'

const database =(data)=>{
  return request({
      url:`/realtimeDatabaseConfiguration/listByPage?name=${encodeURIComponent(data.name)}&pageNum=${data.pageNum}&pageSize=${data.pageSize}`,
      method:"get"
  })
}
const addDatabase =(pairs)=>{
  return request({
      url:`/realtimeDatabaseConfiguration/save`,
      method:"post",
      data: pairs
  })
}
const deleteDatabase =(data)=>{
  return request({
      url:`/realtimeDatabaseConfiguration/remove-modelpower/${data.id}`,
      method:"delete",
  })
}
export default {
	database,
	addDatabase,
	deleteDatabase
}